"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Dropdown;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
var _DropdownContent = _interopRequireDefault(require("./DropdownContent"));
var _DropdownDivider = _interopRequireDefault(require("./DropdownDivider"));
var _DropdownItem = _interopRequireDefault(require("./DropdownItem"));
var _DropdownMenu = _interopRequireDefault(require("./DropdownMenu"));
var _DropdownTrigger = _interopRequireDefault(require("./DropdownTrigger"));
var _Element = _interopRequireDefault(require("../Element"));
var _excluded = ["active", "children", "className", "hoverable", "right", "up"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Dropdown(_ref) {
  var active = _ref.active,
    children = _ref.children,
    className = _ref.className,
    hoverable = _ref.hoverable,
    right = _ref.right,
    up = _ref.up,
    props = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])('dropdown', className, {
    'is-active': active,
    'is-hoverable': hoverable,
    'is-right': right,
    'is-up': up
  });
  return /*#__PURE__*/_react["default"].createElement(_Element["default"], _extends({
    className: classes
  }, props), children);
}
Dropdown.Content = _DropdownContent["default"];
Dropdown.Divider = _DropdownDivider["default"];
Dropdown.Item = _DropdownItem["default"];
Dropdown.Menu = _DropdownMenu["default"];
Dropdown.Trigger = _DropdownTrigger["default"];
Dropdown.propTypes = {
  className: _propTypes["default"].string,
  children: _propTypes["default"].node,
  component: _propTypes["default"].elementType,
  active: _propTypes["default"].bool,
  hoverable: _propTypes["default"].bool,
  right: _propTypes["default"].bool,
  up: _propTypes["default"].bool
};
Dropdown.defaultProps = {
  className: undefined,
  children: null,
  component: 'div',
  active: false,
  hoverable: false,
  right: false,
  up: false
};