"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = File;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
var _FileLabel = _interopRequireDefault(require("./FileLabel"));
var _FileInput = _interopRequireDefault(require("./FileInput"));
var _FileCTA = _interopRequireDefault(require("./FileCTA"));
var _FileIcon = _interopRequireDefault(require("./FileIcon"));
var _FileText = _interopRequireDefault(require("./FileText"));
var _FileName = _interopRequireDefault(require("./FileName"));
var _Element = _interopRequireDefault(require("../Element"));
var _excluded = ["align", "boxed", "children", "className", "color", "fullwidth", "hasName", "size"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
var colors = ['primary', 'link', 'info', 'success', 'warning', 'danger', 'white', 'black', 'light', 'dark'];
var colorMap = {
  primary: 'is-primary',
  link: 'is-link',
  info: 'is-info',
  success: 'is-success',
  warning: 'is-warning',
  danger: 'is-danger',
  white: 'is-white',
  black: 'is-black',
  light: 'is-light',
  dark: 'is-dark'
};
var sizes = ['small', 'normal', 'medium', 'large'];
var sizeMap = {
  small: 'is-small',
  normal: 'is-normal',
  medium: 'is-medium',
  large: 'is-large'
};
var aligns = ['center', 'right'];
var alignMap = {
  center: 'is-centered',
  right: 'is-right'
};
function File(_ref) {
  var align = _ref.align,
    boxed = _ref.boxed,
    children = _ref.children,
    className = _ref.className,
    color = _ref.color,
    fullwidth = _ref.fullwidth,
    hasName = _ref.hasName,
    size = _ref.size,
    props = _objectWithoutProperties(_ref, _excluded);
  var isColor = color && colorMap[color];
  var isSize = size && sizeMap[size];
  var isAlign = align && alignMap[align];
  var classes = (0, _classnames["default"])('file', className, isColor, isSize, isAlign, {
    'has-name': hasName,
    'is-fullwidth': fullwidth,
    'is-boxed': boxed
  });
  return /*#__PURE__*/_react["default"].createElement(_Element["default"], _extends({
    type: "file",
    className: classes
  }, props), children);
}
File.Label = _FileLabel["default"];
File.Input = _FileInput["default"];
File.CTA = _FileCTA["default"];
File.Icon = _FileIcon["default"];
File.Text = _FileText["default"];
File.Name = _FileName["default"];
File.propTypes = {
  className: _propTypes["default"].string,
  children: _propTypes["default"].node,
  component: _propTypes["default"].elementType,
  color: _propTypes["default"].oneOf(colors),
  size: _propTypes["default"].oneOf(sizes),
  align: _propTypes["default"].oneOf(aligns),
  hasName: _propTypes["default"].bool,
  boxed: _propTypes["default"].bool,
  fullwidth: _propTypes["default"].bool
};
File.defaultProps = {
  className: undefined,
  children: null,
  component: 'div',
  color: undefined,
  size: undefined,
  align: undefined,
  hasName: false,
  boxed: false,
  fullwidth: false
};