"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = Modal;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _classnames = _interopRequireDefault(require("classnames"));
var _ModalBackground = _interopRequireDefault(require("./ModalBackground"));
var _ModalCard = _interopRequireDefault(require("./ModalCard"));
var _ModalCardBody = _interopRequireDefault(require("./ModalCardBody"));
var _ModalCardFoot = _interopRequireDefault(require("./ModalCardFoot"));
var _ModalCardHead = _interopRequireDefault(require("./ModalCardHead"));
var _ModalCardTitle = _interopRequireDefault(require("./ModalCardTitle"));
var _ModalClose = _interopRequireDefault(require("./ModalClose"));
var _ModalContent = _interopRequireDefault(require("./ModalContent"));
var _Element = _interopRequireDefault(require("../Element"));
var _excluded = ["active", "children", "className"];
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
function Modal(_ref) {
  var active = _ref.active,
    children = _ref.children,
    className = _ref.className,
    props = _objectWithoutProperties(_ref, _excluded);
  var classes = (0, _classnames["default"])('modal', className, {
    'is-active': active
  });
  return /*#__PURE__*/_react["default"].createElement(_Element["default"], _extends({
    className: classes
  }, props), children);
}
Modal.Background = _ModalBackground["default"];
Modal.Card = _ModalCard["default"];
Modal.CardBody = _ModalCardBody["default"];
Modal.CardFoot = _ModalCardFoot["default"];
Modal.CardHead = _ModalCardHead["default"];
Modal.CardTitle = _ModalCardTitle["default"];
Modal.Close = _ModalClose["default"];
Modal.Content = _ModalContent["default"];
Modal.propTypes = {
  className: _propTypes["default"].string,
  children: _propTypes["default"].node,
  component: _propTypes["default"].elementType,
  active: _propTypes["default"].bool
};
Modal.defaultProps = {
  className: undefined,
  children: null,
  component: 'div',
  active: false
};